Subject: Re: [Bitcoin-development] performance testing for bitcoin

From: Jeff Garzik <[email-masked]>
Date: Wed, 3 Oct 2012 13:43:36 -0400

On Wed, Oct 3, 2012 at 1:38 PM, Ian Miers <[email-masked]> wrote:
> Whats the best way to get performance numbers for modifications to bitcoin ?
> Profiling it while running on testnet might work, but that would take a
> rather long time to get data.
> Is there anyway to speed this up  if we only needed to provide  relative
> performance between tests. (in a sense a fast performance regression test).

You have to be specific about what you're measuring, because
"performance" is vague.

You can measure many aspects of blockchain performance by importing
blocks via -loadblock=FILE.

Other performance measurements like "how fast does a block relay
through the network" cannot be as easily measured.

-- 
Jeff Garzik
exMULTI, Inc.
[email-masked]